export function subscription() {
	wx.getSetting({
		withSubscriptions: true, //  这里设置为true,下面才会返回mainSwitch
		success: function(res) {
			console.log(res, '调起授权界面弹窗');
			// 调起授权界面弹窗
			if (res.subscriptionsSetting.mainSwitch) { // 用户打开了订阅消息总开关
				// 每次执到这都会拉起授权弹窗
				wx.requestSubscribeMessage({ // 调起消息订阅界面
					tmplIds: ['34re6IUbmEjUvOFmFcwMZev5gr-E6KRsRcJ-9T-tbXI', 'W5Xhyw94AuONUpkhWWpLJgGsbmr1eoO5opeW9brYEeA'],
					success(res) {
						console.log(res, '订阅消息 成功 ');
					},
					fail(err) {
						console.log(err, "订阅消息 失败 ");
					},
				})
			} else {
				uni.showToast({
					title: '请到小程序设置-订阅消息-接收通知中开启订阅消息',
					icon: 'none',
					duration: 8000
				});
			}
		},
		fail: function(error) {
			console.log(error);
		}
	})
}